What is the Preset Script?

Introducing Preset Script

VAIO Action Setup already includes two useful scripts: Mail Script and WWW browser. To use these scripts, simply select them when assigning an application to the PPK or Timer function, and follow the instructions on the screen to enter your E-mail settings.

Note

To use the preset scripts for E-mail or Members-only web pages, you must save your passwords. This means that other people can run the script and read your mail. If you share your computer with other people, be sure to manage any script files that contain your password.


Setting the dialup network

Adjusting dial-up settings

To receive E-mail or browse web pages with a preset script, you need to change your Windows dial-up connection settings.

To modify the dial-up connection settings:

  1. Open the dial-up connection. (Refer to your Windows or ISP documentation for details on setting up and opening a connection.)
  2. Enter your password.
  3. Check Save password in the Connect To window.
  4. Click Connect.
  5. When the Connecting to (dial-up name) dialog appears, check Hide this dialog box.


Setting the web browser

Adjusting web browser settings

To open a web browser with a preset script, you may need to change the following browser settings.

  • Default browser - If you start a web browser that is not specified as the default browser, a confirmation dialog box appears. Because this dialog box pauses the preset script, you need to set the web browser that you want to start with the preset script as the default browser before using the preset script.
  • Netscape Communicator settings - When you use Netscape Communicator, you can create several user profiles and select the profile at startup. Because selecting the profile at startup pauses the preset script, you should use Netscape Communicator with one profile and adjust any other settings that might pause the script, such as online versus offline.

Notes

  • For details on adjusting these settings, refer to the documentation or help for your web browser.
  • Before executing the preset script, confirm that the web browser starts correctly after you adjust these settings.


Setting the web page

When you start your web browser with the preset script, certain pages open automatically based on your browser settings.

Microsoft Internet Explorer

Opens web pages which you register as "subscription" pages. Refer to the Internet Explorer help for details on subscriptions.

Netscape Communicator

Opens web pages whose URLs appear in the FAVORITE.TXT file in "C:\:Program Files\Sony\VAIO Action Setup\Web," or if your computer has Jog Dial the path is "C:\Program Files\Sony\Jog Dial Utility\Web." Since the FAVORITE.TXT is a simple text file, you can add or remove URLs with the Windows NotePad accessory.